
QGIS Application - Bug report #4566

A layer isn't displayed in QGIS Server.

2011-11-24 04:32 PM - mahito noda

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14478

Description

In QGIS Server, the layer which did some setting isn't displayed.

Version is 1.7.2.

It sets QGIS Server first.

In the layer, it makes a reduced scale dependence rendering valid.

( For example, it sets a maximum to 10000 ).

It saves Project File.

Next, in QGIS of Windows PC, it loads WMS layer.

It sets CRS of WMS to "JGD2000 / UTM zone 54N".

The layer which set a reduced scale dependence rendering isn't displayed.

Probably, it applies if being the coordinate system that the unit is a meter.

---- The following is the original ( Japanese ). ------

Ver. 1.7.2のQGIS Serverで特定の設定をしたレイヤが表示されない現象がおきます。

QGIS Serverの設定します。

・レイヤに，縮尺依存レンダリングを有効にし，ProjectFileを保存します。

　　　(例えば，最大値を10000に設定します)

Windows PCのQGIS等で，WMSレイヤをロードします。

・WMSのCRSを「JGD2000 / UTM zone 54N」に設定すると，上記の設定を行ったレイヤは表示されません。

・多分，単位がメートルである座標系ならば同じ現象が起きると思います。

History

#1 - 2011-11-28 06:04 AM - Giovanni Manghi

- Category changed from Web Services clients/WMS to QGIS Server

- Assignee set to Marco Hugentobler

#2 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#3 - 2011-12-08 04:03 AM - Marco Hugentobler

- Status changed from Open to Resolved

This is a side effect of the crs unit bug and fixed in master and 1.7.3
#4 - 2011-12-16 10:55 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#5 - 2011-12-25 07:19 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Status changed from Resolved to Closed

- Resolution set to fixed

- Affected QGIS version set to master
